load("@ytt:data", "data")
load("@ytt:assert", "assert")
load("@ytt:struct", "struct")

values_from_key="root"

kp_default_repository = data.values.kp_default_repository
if kp_default_repository == "":
    # handle shared values set
    if data.values.shared.image_registry.project_path:
        kp_default_repository = data.values.shared.image_registry.project_path.rstrip("/") + "/buildservice"
        values_from_key = "shared"
    end

    if data.values.buildservice.kp_default_repository:
        kp_default_repository = data.values.buildservice.kp_default_repository
        values_from_key = "buildservice"
    end
end

kp_default_repository or assert.fail("missing kp_default_repository")

dependency_updates = data.values.dependency_updates

#! if we got kp_default_repo from the buildservice key (from tap values), we should get the deps values from there as well
if values_from_key == "buildservice":
  dependency_updates = data.values.buildservice.dependency_updates
end